/******************************************************************************
  Ethernet_Driver.h

******************************************************************************/
#ifndef ETHERNET_DRIVER_H
#define ETHERNET_DRIVER_H

// Function Prototypes
void InitPHYPins();
void InitEthernet();
void DoEthernet();


// TCP Client
#define entrysize 32              // Number of pointers in transmit queue
#define TCPC_STATE_WAITING    0
#define TCPC_STATE_CONNECTING 1
#define TCPC_STATE_CHECKING   2
#define TCPC_STATE_SENDING    3
#define TCPC_STATE_CLOSING    4

typedef char *pntr;

// TCP client FIFO and its input and output pointers
typedef struct TCPC_FIFO_struct
{
     int TCPC_FIFO_In;            // Input pointer
     int TCPC_FIFO_Out;           // Output pointer
     pntr TCPC_FIFO[entrysize];   // Array of pointers
} TCPC_FIFO_struct;

// TCP Client Prototypes
void InitTCP_Client();
void DoTCP_Client();
void Put_FIFO1(char *msg);



// SNTP Structure
struct SNTPFrame
{
      unsigned long int Flags;
      unsigned long int RootDelay;
      unsigned long int RootDispersion;
      unsigned long int ReferenceID;
      unsigned long int RefTS1;
      unsigned long int RefTS2;
      unsigned long int OriginTS1;
      unsigned long int OriginTS2;
      unsigned long int ReceiveTS1;
      unsigned long int ReceiveTS2;
      unsigned long int TransmitTS1;
      unsigned long int TransmitTS2;
};

// SNTP Server
//#define SNTP_STATE_WAITING 0
//#define SNTP_STATE_SENDING 1

//void DoSNTP_Server();

#endif